## ros-iron-bno055 0.4.1

=== debian/changelog ===
ros-iron-bno055 (0.4.1-4jammy) jammy; urgency=high

  * Update CHANGELOG
  * Bump patch version after small bug fix
  * Fix i2c issues found (param and division by zero) (#56 <https://github.com/flynneva/bno055/issues/56>)

 -- flynneva <evanflynn.msu@gmail.com>  Sat, 14 Jan 2023 16:00:00 -0000

ros-iron-bno055 (0.4.0-4jammy) jammy; urgency=high

  * Bump version for new release
  * Update CHANGELOG for new release
  * Improve the doc strings for the connectors
  * Add I2C implementation (#52 <https://github.com/flynneva/bno055/issues/52>)
  * Merge pull request #50 <https://github.com/flynneva/bno055/issues/50> from flynneva/fix-invalid-log-print
    Fix invalid log string variable expansion
  * Update CI to include Humble
  * Fix invalid log string variable expansion
  * Merge pull request #49 <https://github.com/flynneva/bno055/issues/49> from sjev/operation_mode
  * add device mode setting
  * Contributors: Andrew Symington, Evan Flynn, Jev

 -- flynneva <evanflynn.msu@gmail.com>  Thu, 12 Jan 2023 16:00:00 -0000

ros-iron-bno055 (0.3.0-4jammy) jammy; urgency=high

  * Merge pull request #43 <https://github.com/flynneva/bno055/issues/43> from flynneva/develop
    bring over updates
  * Merge pull request #44 <https://github.com/flynneva/bno055/issues/44> from Towflos/develop
  * fixed setting of calibration data, added default values for mag and acc radius
  * added example_interfaces to package.xml, added service information to README.md
  * cleanup
  * prefix added to service
  * removed seq, fixed parameters, refactored reading of calibratio data, added service to request calibration data
  * added seq and time to message headers
  * mag_radius and accel_radius added to get_calib_offsets()
  * mag radius and acc radius added as parameter
  * fix greetings for incoming PRs from forks
    see [this nice write up](https://github.com/SalesforceLabs/LightningWebChartJS/pull/95) for details
  * Merge pull request #42 <https://github.com/flynneva/bno055/issues/42> from deepinbubblegum/launch_develop
    Launch develop
  * edit readme launch file
  * add launch file
  * Merge pull request #41 <https://github.com/flynneva/bno055/issues/41> from flynneva/develop
    bring over 0.2.0 updates to main
  * Merge pull request #32 <https://github.com/flynneva/bno055/issues/32> from flynneva/develop
    initial docs up and running
  * Merge pull request #31 <https://github.com/flynneva/bno055/issues/31> from flynneva/develop
    source galactic not rolling
  * Merge pull request #30 <https://github.com/flynneva/bno055/issues/30> from flynneva/develop
    dont use forked repo for setup-ros
  * Merge pull request #29 <https://github.com/flynneva/bno055/issues/29> from flynneva/develop
    fix setup-ros version to 0.2
  * Contributors: Evan Flynn, Florian Herrmann, deepinbubblegum

 -- flynneva <evanflynn.msu@gmail.com>  Mon, 21 Mar 2022 16:00:00 -0000

ros-iron-bno055 (0.2.0-4jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/flynneva/bno055/issues/36> from flynneva/feature/add-covariance
    [33] add default covariance values, make them configurable
  * fix printout for parameters
  * [33] add defaults for magnetic field covariance values
  * [37] add logic to set offsets
  * [33] add default covariance values, make them configurable
  * Merge pull request #24 <https://github.com/flynneva/bno055/issues/24> from flynneva/fix/scaling_factors
  * [35] add back in comm constants, modify variable names as needed to fix bug introduced by #16 <https://github.com/flynneva/bno055/issues/16>
  * [34] use underscores in setup.cfg instead of dashes
  * [23] fix acc and mag scaling factors and make them configurable
  * only run docs ci on main updates
  * use sh instead of bash script for docs ci
  * use . instead of source for docs ci
  * remove -r from pip install
  * use relative paths for docs ci
  * use absolute paths for docs ci
  * ls in docs ci
  * switch doc generation ci to pre-built docker image
  * source galactic not rolling
  * Merge branch 'develop' of github.com:flynneva/bno055 into develop
  * dont use forked repo for setup-ros
  * Merge branch 'main' into develop
  * fix setup-ros version to 0.2
  * Merge pull request #28 <https://github.com/flynneva/bno055/issues/28> from flynneva/develop
    fix setup ros version to v0.2
  * fix setup ros version to v0.2
  * Merge pull request #27 <https://github.com/flynneva/bno055/issues/27> from flynneva/develop
    use galactic for doc generation
  * Merge pull request #26 <https://github.com/flynneva/bno055/issues/26> from flynneva/feature/sphinx_docs
    use galactic for doc generation, not rolling
  * use galactic for doc generation, not rolling
  * Merge pull request #25 <https://github.com/flynneva/bno055/issues/25> from flynneva/develop
    bring over updates to main, generate docs for first time
  * Merge pull request #16 <https://github.com/flynneva/bno055/issues/16> from flynneva/feature/sphinx_docs
    Feature/sphinx docs
  * fix docs ci path when uploading docs to gh-pages
  * Merge branch 'develop' into feature/sphinx_docs
  * add modules to docs and update registers
  * Merge pull request #21 <https://github.com/flynneva/bno055/issues/21> from flynneva/develop
    normalize quaternion
  * Merge pull request #20 <https://github.com/flynneva/bno055/issues/20> from flynneva/fix/normalize_quaternion
    normalize quaterion
  * normalize quat
  * Merge pull request #19 <https://github.com/flynneva/bno055/issues/19> from flynneva/feature/prebuilt_docker_ci
    move to pre-built ros docker images
  * move to pre-built ros docker images
  * minor docs updates
  * doc page templates
  * starting on docs
  * Merge pull request #13 <https://github.com/flynneva/bno055/issues/13> from flynneva/develop
    bump for release
  * Merge pull request #10 <https://github.com/flynneva/bno055/issues/10> from flynneva/develop
    bring over updates to main
  * Contributors: Evan Flynn, flynneva


