=== debian/control ===
Source: ros-iron-bno055
Section: misc
Priority: optional
Maintainer: flynneva <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-serial, ros-iron-ament-copyright <!nocheck>, ros-iron-ament-flake8 <!nocheck>, ros-iron-ament-pep257 <!nocheck>, ros-iron-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-bno055
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-serial, ros-iron-example-interfaces, ros-iron-rclpy, ros-iron-std-msgs, ros-iron-ros-workspace
Description: Bosch BNO055 IMU driver for ROS2
